GitHub Integrations
Update Github Integration
Update a GitHub integration
post
/v1/integration/github/{githubIntegrationId}/update
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
githubIntegrationIdstring* Required
The ID of the GitHub integration
Request Body * Required
Request Body Schema: application/json
aliasstring
The unique alias for the instance
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
blueprintIdstring
The ID of the blueprint
botIdstring
The ID of the bot this configuration is using
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.integration.github.update(
githubIntegrationId,{)"alias":"string","name":"string","description":"string","meta":"object","blueprintId":"string",}"botId":"string"
{"id":"string"}The GitHub integration was updated successfully